classdef SCD
 % main interface class just to get expcode
 % E = SCD.load(expcode); 
 properties (Access = private)
  E % expcode
  SCDexps % expcode code container
 end
 
 methods (Static)
  function E=load(expcode)
   % Creating the experimental code container class
   SCDexps = SCD.getexpcodecontainer();
   E = SCDexps.getbymaincode(expcode);
  end
    
  function help()
   SCDexps = SCD.getexpcodecontainer();
   SCDexps.printexpcodes;
  end
  
  function list()
   SCD.help;
  end
 
  function SCDexps = getexpcodecontainer()
   SCDexps = SCDconf_createexpcodes;
  end
 end
end